Subject: Re: bug#16821: 24.3; fill-paragraph adds garbage text

From: Kevin Rodgers <[email-masked]>
Date: Thu, 20 Feb 2014 07:56:24 -0700

On 2/19/14 10:01 PM, Patrick Steele wrote:
> (Apologies if this email was received twice)
>
> Executing M-q, bound to fill-paragraph, results in a wrapped paragraph
> with extra text inserted. The extra text is generally something that has
> been typed elsewhere in the buffer. The example that caused me to file
> this report is as follows, where each line of the actual text is prefixed with ' >'
>
>      ---- Original text ----
>  >        data : dict
>  >            A mapping to Task objects in JSON form, or None.
>  >
>  >        Notes
>  >        -----
>  >
>  >        JSON doesn't support integer keys in dictionaries, but we assume they
>
>      ---- Result ----
>  >        data : dict
>  >            A mapping to Task objects in JSON form, or None.
>  >
>  >        Notes
>  >        -----
>  >
>  >        JSON doesn't support integer keys in dictionaries, but we
>  >            A mapping to Task objects in JSON form, or Noneassume they
>
> It was triggered by hitting M-q with the cursor just after the string
> 'they'.
>
> I have encountered this bug before; I resolve the issue by quitting
> Emacs and launching again.

I suspect you have inadvertently set fill-prefix (perhaps via `C-x .'),
so check that with `C-h v' when it happens again.

You can unset it with `C-a C-x .'

-- 
Kevin Rodgers
Denver, Colorado, USA